Jenkins Enterprise and Operations Center 2.303.x < 2.303.30.0.10 或 2.332.2.6 多个漏洞(CloudBees 安全公告 2022-04-12)

high Nessus 插件 ID 161210

简介

远程 Web 服务器上托管的作业调度和管理系统受到多个漏洞的影响。

描述

远程 Web 服务器上运行的 Jenkins Enterprise 或 Jenkins Operations Center 版本为低于 2.303.30.0.10 的 2.303.x 或低于 2.332.2.6 的 2.x。因此,该应用程序受到多个漏洞的影响,其中包括:

- Jenkins 管道:Shared Groovy Libraries 插件 564.ve62a_4eb_b_e039 及更早版本(2.21.3 版本除外),允许攻击者提交拉取请求(或等效请求),但无法直接提交到配置的 SCM,并通过更改拉取请求中动态检索库的定义来有效更改管道行为, 即使已将管道配置为不信任这些请求。(CVE-2022-29047)

- Jenkins Subversion 插件 2.15.3 及更早版本中存在一个跨站请求伪造 (CSRF) 漏洞,该漏洞允许攻击者连接到其指定的 URL。(CVE-2022-29048)

- Jenkins Publish Over FTP 插件 1.16 及更低版本中存在一个跨站请求伪造 (CSRF) 漏洞,该漏洞允许攻击者使用其指定的凭据连接到 FTP 服务器。(CVE-2022-29050)

请注意,Nessus 尚未测试这些问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级至 Jenkins Enterprise 或 Jenkins Operations Center 2.303.30.0.10、2.332.2.6 或更新版本。

另见

http://www.nessus.org/u?53b982f8

插件详情

严重性: High

ID: 161210

文件名: cloudbees-security-advisory-2022-04-12.nasl

版本: 1.2

类型: combined

代理: windows, macosx, unix

系列: CGI abuses

发布时间: 2022/5/16

最近更新时间: 2022/5/18

配置: 启用彻底检查

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: CVSS2#E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2022-29050

CVSS v3

风险因素: High

基本分数: 8.8

时间分数: 7.7

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: CVSS:3.0/E:U/RL:O/RC:C

漏洞信息

CPE: cpe:2.3:a:cloudbees:jenkins:*:*:*:*:*:*:*:*

必需的 KB 项: installed_sw/Jenkins

易利用性: No known exploits are available

补丁发布日期: 2022/4/12

漏洞发布日期: 2022/4/12

参考资料信息

CVE: CVE-2022-29044, CVE-2022-29038, CVE-2022-29040, CVE-2022-29046, CVE-2022-29036, CVE-2022-29037, CVE-2022-29039, CVE-2022-29041, CVE-2022-29042, CVE-2022-29043, CVE-2022-29045, CVE-2022-29047, CVE-2022-29048, CVE-2022-29049, CVE-2022-29050, CVE-2022-29051, CVE-2022-29052